<?xml version='1.0' encoding='UTF-8' ?>
<!--
@author pedro.garcia
@description Composite component para la selección de predios

PRE:
* se usa dentro de las páginas del proyecto que usan alguno de los templates que incluyen snc.js

Attributes:
+ ccIdsChain<X> - cadenas con los id de los composite components para ubicar componentes que se necesita
    actualizar. Esto debido a que:
OJO:
! NO DEBE IR DENTRO DE UN form

! los update de componentes en otros composite se deben hacer con el nombre completo; es decir,
los id de los composite papás separados por ':' + el id del componente. Ej: sp:ps:datosDT

En  los componentes intermedios (donde no se hace update de componentes) se usan adicionando
un ':' y el id del composite component donde están los componentes que se van a actualizar
al valor del atributo.
EJ: consultaPredioCC necesita actualizar componentes de prediosSeleccionadosCC,
entonces se usa ccIdsChain=" # {cc.attrs.ccIdsChain}:ps"

-->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <composite:interface>

        <composite:attribute name="managedBean" required="true" />
        <composite:attribute name="additionMethod1" required="true" method-signature="void adicionarPredioX()"/>
        <composite:attribute name="additionMethod2" required="true" 
                             method-signature="void adicionarPredioX(org.primefaces.event.SelectEvent)"/>
        <composite:attribute name="ccIdsChain" required="true" />



    </composite:interface>

    <composite:implementation>

        <h:form prependId="false">
            <p:panel header="Predios">
                <center>
                    <h:panelGrid cellspacing="3" columns="1">
                        <h:panelGrid cellspacing="4" columns="2">
                            <p:commandButton value="Seleccionar" icon="ui-icon-home"
                                             ajax="true" immediate="true"
                                             oncomplete="consultaPrediosDlgWV.show()"/>

                            <p:commandButton value="Seleccionados" icon="ui-icon-cart"
                                             immediate="true" type="button"
                                             onclick="prediosSeleccionadosDlgWV.hide();prediosSeleccionadosDlgWV.show();">
                            </p:commandButton>
                        </h:panelGrid>

                    </h:panelGrid>
                </center>
            </p:panel>
        </h:form>


        <predio:consultaPrediosCC
            managedBean="#{cc.attrs.managedBean}"
            thisWVName="consultaPrediosDlgWV"
            ccIdsChain1="#{cc.attrs.ccIdsChain}:psCC"
            ccIdsChain2="#{cc.attrs.ccIdsChain}:dpCC"
            selectedPrediosWVName="prediosSeleccionadosDlgWV"
            mostrarBusquedaAvanzada="false"
            detallesPredioWV="detallesPredioWV"
            additionMethod1="#{cc.attrs.additionMethod1}"
            additionMethod2="#{cc.attrs.additionMethod2}"
            id="cpCC" />

        <predio:prediosSeleccionadosCC
            managedBean="#{cc.attrs.managedBean}"
            thisWVName="prediosSeleccionadosDlgWV"
            ccIdsChain="#{cc.attrs.ccIdsChain}:dpCC"
            detallesPredioWV="detallesPredioWV"
            id="psCC"
            consultaPredioPredioWV="consultaPrediosDlgWV"/>


        <predio:detallesPredioCC
            thisWVName="detallesPredioWV"
            mostrarDatosPropietarios="false"
            mostrarDatosTramites="false"
            id="dpCC" />


    </composite:implementation>

</html>